From: "Matthew Smith" <matthew@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: net-misc/rabbitmq-server/
Date: Mon, 15 Apr 2024 19:07:20 +0000 (UTC) [thread overview]
Message-ID: <1713208036.5c4e0418e30ca0a40eebb61782d633004aa76a9f.matthew@gentoo> (raw)
commit: 5c4e0418e30ca0a40eebb61782d633004aa76a9f
Author: Matthew Smith <matthew <AT> gentoo <DOT> org>
AuthorDate: Mon Apr 15 19:06:41 2024 +0000
Commit: Matthew Smith <matthew <AT> gentoo <DOT> org>
CommitDate: Mon Apr 15 19:07:16 2024 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=5c4e0418
net-misc/rabbitmq-server: add 3.13.1
- Update to support new Erlang and Elixir versions
- Use insopts to ensure that scripts are executable
Signed-off-by: Matthew Smith <matthew <AT> gentoo.org>
net-misc/rabbitmq-server/Manifest | 1 +
.../rabbitmq-server/rabbitmq-server-3.13.1.ebuild | 93 ++++++++++++++++++++++
2 files changed, 94 insertions(+)
diff --git a/net-misc/rabbitmq-server/Manifest b/net-misc/rabbitmq-server/Manifest
index 52b20c665f6f..7d9d925cd1be 100644
--- a/net-misc/rabbitmq-server/Manifest
+++ b/net-misc/rabbitmq-server/Manifest
@@ -1,2 +1,3 @@
DIST rabbitmq-server-3.11.2.tar.xz 3752644 BLAKE2B bc98808579cbaa12371fc95d137fd18a0d784a859471d4dac6c328e819bb7ba5cb0256509a678788452f6dbeaa6fc48b4dbe39b24bd7cf0b1698fb6e4f67cb03 SHA512 ceec07fb9dfe8ba76850aa94543396a4e878aca13b9e3e303e86bb44bbbb1cea863148a1480b83517bfd2bdc66b814c3177ad2ed595604f5710f8f98e8dcc439
DIST rabbitmq-server-3.12.9.tar.xz 4437392 BLAKE2B 19c1e88e79c29af0c06d732d25098ee7b5575e8f269ba08e3247a65ba206c8cdc819767572071063dcbd8816756366d0a3f059d8e060ffe47fb221e1546b4c23 SHA512 c6015ee9593336104fc043ed20d99a476e7b36802ae36798f23c2caf91a01a71913963fdbe6de249f234cb3ba82379e5c5b2976e07d098c287ee72e3f238f2eb
+DIST rabbitmq-server-3.13.1.tar.xz 5083312 BLAKE2B 1821d05c1be2da491019605de7877f26cb8d47bf67f901d5bb2ede961558a44900a3b8697e254167eb5622d37b20b668dc919fadbe5c5c98f5cc644b948986b3 SHA512 022c6e213cf7cea865a6931a3481897efea65dffa649dd77df9d88bb5f9b7abaaa83b525f983de4cb336b1e0469073cadc2ce48d4f47f93005c87b9fdadb3857
diff --git a/net-misc/rabbitmq-server/rabbitmq-server-3.13.1.ebuild b/net-misc/rabbitmq-server/rabbitmq-server-3.13.1.ebuild
new file mode 100644
index 000000000000..3307447c0c23
--- /dev/null
+++ b/net-misc/rabbitmq-server/rabbitmq-server-3.13.1.ebuild
@@ -0,0 +1,93 @@
+# Copyright 1999-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+PYTHON_COMPAT=( python3_{9..12} )
+PYTHON_REQ_USE="xml(+)"
+
+inherit python-any-r1 systemd
+
+DESCRIPTION="RabbitMQ is a high-performance AMQP-compliant message broker written in Erlang"
+HOMEPAGE="https://www.rabbitmq.com/"
+SRC_URI="https://github.com/rabbitmq/rabbitmq-server/releases/download/v${PV}/${P}.tar.xz"
+
+LICENSE="MPL-2.0"
+SLOT="0"
+KEYWORDS="~amd64 ~arm64 ~x86"
+RESTRICT="test"
+
+# See https://www.rabbitmq.com/which-erlang.html for Erlang version
+# See https://github.com/rabbitmq/rabbitmq-server/blob/main/deps/rabbitmq_cli/mix.exs for Elixir version
+RDEPEND="
+ acct-group/rabbitmq
+ acct-user/rabbitmq
+ >=dev-lang/erlang-26.0[ssl] <dev-lang/erlang-26.3
+"
+DEPEND="
+ ${RDEPEND}
+ app-arch/zip
+ app-arch/unzip
+ app-text/docbook-xml-dtd:4.5
+ app-text/xmlto
+ >=dev-lang/elixir-1.13.4 <dev-lang/elixir-1.17.0
+ dev-libs/libxslt
+ ${PYTHON_DEPS}
+"
+
+pkg_setup() {
+ python-any-r1_pkg_setup
+}
+
+src_compile() {
+ emake all docs dist
+}
+
+src_install() {
+ # erlang module
+ local targetdir="/usr/$(get_libdir)/erlang/lib/rabbitmq_server-${PV}"
+
+ einfo "Setting correct RABBITMQ_HOME in scripts"
+ sed -e "s:^RABBITMQ_HOME=.*:RABBITMQ_HOME=\"${targetdir}\":g" \
+ -i deps/rabbit/scripts/rabbitmq-env || die
+
+ einfo "Installing Erlang modules to ${targetdir}"
+ insinto "${targetdir}"
+ chmod +x escript/* || die
+ insopts -m0755
+ doins -r deps/rabbit/ebin deps/rabbit/include deps/rabbit/priv escript plugins
+
+ einfo "Installing server scripts to /usr/sbin"
+ exeinto /usr/libexec/rabbitmq
+ for script in deps/rabbit/scripts/*; do
+ doexe ${script}
+ newsbin "${FILESDIR}"/rabbitmq-script-wrapper $(basename $script)
+ done
+
+ # install the init script
+ newinitd "${FILESDIR}"/rabbitmq-server.init-r4 rabbitmq
+ systemd_dounit "${FILESDIR}/rabbitmq.service"
+
+ # install documentation
+ dodoc deps/rabbit/docs/*.example
+ dodoc deps/rabbit/README.md
+ doman deps/rabbit/docs/*.5
+ doman deps/rabbit/docs/*.8
+
+ # create the directory where our log file will go.
+ diropts -m 0770 -o rabbitmq -g rabbitmq
+ keepdir /var/log/rabbitmq /etc/rabbitmq
+
+ # create the mnesia directory
+ diropts -m 0770 -o rabbitmq -g rabbitmq
+ keepdir /var/lib/rabbitmq/mnesia
+}
+
+pkg_preinst() {
+ # https://www.rabbitmq.com/docs/upgrade#rabbitmq-version-upgradability
+ if [[ -n ${REPLACING_VERSIONS} ]] && ver_test ${REPLACING_VERSIONS} -lt 3.12; then
+ elog "Upgrading to RabbitMQ 3.12 requires all feature flags"
+ elog "from 3.11 to be enabled. If any feature flags are not"
+ elog "enabled, the node will refuse to start."
+ fi
+}
next reply other threads:[~2024-04-15 19:07 UTC|newest]
Thread overview: 71+ messages / expand[flat|nested] mbox.gz Atom feed top
2024-04-15 19:07 Matthew Smith [this message]
-- strict thread matches above, loose matches on Subject: below --
2025-02-22 8:02 [gentoo-commits] repo/gentoo:master commit in: net-misc/rabbitmq-server/ Ulrich Müller
2024-04-18 5:42 Joonas Niilola
2024-04-17 12:12 Matthew Smith
2024-04-17 8:45 Joonas Niilola
2023-11-17 16:50 Matthew Smith
2023-11-17 16:50 Matthew Smith
2023-10-04 10:00 Matthew Smith
2022-11-12 13:55 Matthew Smith
2022-11-11 5:34 Sam James
2022-11-11 4:25 Sam James
2022-11-10 11:21 Matthew Smith
2022-09-07 7:52 Michał Górny
2022-06-28 16:43 Alexys Jacob
2022-06-28 8:47 Alexys Jacob
2022-06-28 8:47 Alexys Jacob
2021-10-17 20:39 John Helmert III
2021-08-19 1:08 Sam James
2021-08-13 1:06 John Helmert III
2021-08-13 1:04 John Helmert III
2021-07-18 17:56 Conrad Kostecki
2021-05-31 22:35 Michał Górny
2021-04-28 18:16 Sergei Trofimovich
2021-04-25 5:11 Sam James
2021-04-25 5:09 Sam James
2021-03-13 10:34 Sergei Trofimovich
2020-10-09 12:23 Alexys Jacob
2020-09-04 7:57 Alexys Jacob
2020-08-18 11:16 Agostino Sarubbo
2020-08-15 8:09 Sergei Trofimovich
2020-07-20 6:42 Agostino Sarubbo
2020-07-19 7:43 Agostino Sarubbo
2020-06-27 20:41 Mart Raudsepp
2020-05-26 20:44 Thomas Deutschmann
2020-03-23 8:51 Alexys Jacob
2020-02-22 11:35 Alexys Jacob
2020-02-22 11:35 Alexys Jacob
2020-02-22 11:35 Alexys Jacob
2020-02-20 18:29 Alexys Jacob
2019-11-26 12:44 Alexys Jacob
2019-10-06 12:19 Alexys Jacob
2019-09-08 9:18 Hans de Graaff
2019-04-14 7:19 Alexys Jacob
2019-04-10 6:34 Matthew Thode
2019-03-10 18:12 Matthew Thode
2019-02-13 17:00 Thomas Deutschmann
2019-01-25 18:52 Matthew Thode
2018-12-19 14:10 Thomas Deutschmann
2018-03-03 9:46 Michał Górny
2018-02-01 9:56 Alexys Jacob
2018-01-30 14:41 Alexys Jacob
2018-01-25 13:33 Alexys Jacob
2018-01-23 12:23 Alexys Jacob
2018-01-19 11:10 Alexys Jacob
2018-01-09 10:06 Alexys Jacob
2017-12-22 10:08 Alexys Jacob
2017-12-22 9:47 Alexys Jacob
2017-12-22 9:31 Alexys Jacob
2017-10-20 14:37 Manuel Rüger
2017-10-01 1:08 Thomas Deutschmann
2017-05-30 13:11 Alexys Jacob
2017-05-30 13:03 Alexys Jacob
2017-03-29 16:17 Alexys Jacob
2016-12-02 8:54 Alexys Jacob
2016-08-19 7:36 Alexys Jacob
2016-05-20 10:25 Alexys Jacob
2016-03-09 14:09 Alexys Jacob
2016-02-28 7:15 Matt Thode
2016-01-08 13:01 Alexys Jacob
2016-01-08 13:00 Alexys Jacob
2015-08-24 8:52 Michael Weber
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=1713208036.5c4e0418e30ca0a40eebb61782d633004aa76a9f.matthew@gentoo \
--to=matthew@gentoo.org \
--cc=gentoo-commits@lists.gentoo.org \
--cc=gentoo-dev@lists.gentoo.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox